{
  "name": "rasad-dam-system",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc -b && vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "start": "react-scripts start",
    "bump": "node scripts/bump-version.js"
  },
  "dependencies": {
    "@heroicons/react": "^2.2.0",
    "@hookform/resolvers": "^5.0.1",
    "@tailwindcss/vite": "^4.1.5",
    "@tanstack/react-query": "^5.76.1",
    "@tanstack/react-router": "^1.119.0",
    "@vitejs/plugin-react": "^4.4.1",
    "axios": "^1.9.0",
    "clsx": "^2.1.1",
    "date-fns-jalali": "^4.1.0-0",
    "framer-motion": "^12.10.5",
    "gsap": "^3.13.0",
    "jalali-moment": "^3.3.11",
    "lottie-react": "^2.4.1",
    "react": "^19.0.0",
    "react-dom": "^19.0.0",
    "react-hook-form": "^7.56.4",
    "react-toastify": "^11.0.5",
    "zod": "^3.25.28",
    "zustand": "^5.0.4"
  },
  "devDependencies": {
    "@eslint/js": "^9.28.0",
    "@types/react": "^19.1.4",
    "@types/react-dom": "^19.1.5",
    "eslint": "^9.28.0",
    "eslint-plugin-react": "^7.37.5",
    "globals": "^16.2.0",
    "typescript": "~5.7.2",
    "typescript-eslint": "^8.33.0",
    "vite": "^6.3.1",
    "vite-plugin-svgr": "^4.3.0"
  }
}
